osl::move_action::NotKingOpenFilter< P, OrigAction > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::move_action::NotKingOpenFilter< P, OrigAction > Struct Template Reference

相手の間接利きを止めている駒を動かさない More...

`#include <notKingOpenFilter.h>`

Collaboration diagram for osl::move_action::NotKingOpenFilter< P, OrigAction >:
[legend]

## Public Member Functions
| BOOST_CLASS_REQUIRE (OrigAction, osl::move_action, Concept)
| NotKingOpenFilter (const NumEffectState &s, OrigAction &action)
bool | isNotKingOpenMove (Ptype ptype, Square from, Square to)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p, Move m)
void | unknownMove (Square from, Square to, Piece p1, Ptype ptype, bool isPromote, Player p, Move m)
void | dropMove (Square to, Ptype ptype, Player p, Move m)
| dropMoveが自殺手になることはない More...
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)

## Public Attributes
const NumEffectState & | state
OrigAction & | action

## Detailed Description

### template<Player P, class OrigAction>
struct osl::move_action::NotKingOpenFilter< P, OrigAction >

相手の間接利きを止めている駒を動かさない

Definition at line 20 of file notKingOpenFilter.h.

## Constructor & Destructor Documentation

template<Player P, class OrigAction >

osl::move_action::NotKingOpenFilter< P, OrigAction >::NotKingOpenFilter | ( | const NumEffectState & | s,
|  | OrigAction & | action
| ) |  |
| inline

Definition at line 26 of file notKingOpenFilter.h.

## Member Function Documentation

template<Player P, class OrigAction >

osl::move_action::NotKingOpenFilter< P, OrigAction >::BOOST_CLASS_REQUIRE | ( | OrigAction | ,
|  | osl::move_action | ,
|  | Concept |
| ) |  |

template<Player P, class OrigAction >

void osl::move_action::NotKingOpenFilter< P, OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p,
|  | Move | m
| ) |  |
| inline

dropMoveが自殺手になることはない

Definition at line 57 of file notKingOpenFilter.h.

References osl::move_action::NotKingOpenFilter< P, OrigAction >::action.

Referenced by osl::move_action::NotKingOpenFilter< P, OrigAction >::dropMove().

template<Player P, class OrigAction >

void osl::move_action::NotKingOpenFilter< P, OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p
| ) |  |
| inline

Definition at line 79 of file notKingOpenFilter.h.

References osl::move_action::NotKingOpenFilter< P, OrigAction >::dropMove().

template<Player P, class OrigAction >

bool osl::move_action::NotKingOpenFilter< P, OrigAction >::isNotKingOpenMove | ( | Ptype | ptype,
|  | Square | from,
|  | Square | to
| ) |  |
| inline

Definition at line 29 of file notKingOpenFilter.h.

References osl::move_classifier::KingOpenMove< P >::isMember(), and osl::move_action::NotKingOpenFilter< P, OrigAction >::state.

Referenced by osl::move_action::NotKingOpenFilter< P, OrigAction >::simpleMove(), and osl::move_action::NotKingOpenFilter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

void osl::move_action::NotKingOpenFilter< P, OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p,
|  | Move | m
| ) |  |
| inline

Definition at line 33 of file notKingOpenFilter.h.

References osl::move_action::NotKingOpenFilter< P, OrigAction >::action, and osl::move_action::NotKingOpenFilter< P, OrigAction >::isNotKingOpenMove().

Referenced by osl::move_action::NotKingOpenFilter< P, OrigAction >::simpleMove().

template<Player P, class OrigAction >

void osl::move_action::NotKingOpenFilter< P, OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 67 of file notKingOpenFilter.h.

References osl::PTYPE_EMPTY, and osl::move_action::NotKingOpenFilter< P, OrigAction >::simpleMove().

template<Player P, class OrigAction >

void osl::move_action::NotKingOpenFilter< P, OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | p1,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p,
|  | Move | m
| ) |  |
| inline

Definition at line 44 of file notKingOpenFilter.h.

References osl::move_action::NotKingOpenFilter< P, OrigAction >::action, and osl::move_action::NotKingOpenFilter< P, OrigAction >::isNotKingOpenMove().

Referenced by osl::move_action::NotKingOpenFilter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

void osl::move_action::NotKingOpenFilter< P, OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 73 of file notKingOpenFilter.h.

References osl::Piece::ptype(), and osl::move_action::NotKingOpenFilter< P, OrigAction >::unknownMove().

## Member Data Documentation

template<Player P, class OrigAction >

OrigAction& osl::move_action::NotKingOpenFilter< P, OrigAction >::action

Definition at line 24 of file notKingOpenFilter.h.

Referenced by osl::move_action::NotKingOpenFilter< P, OrigAction >::dropMove(), osl::move_action::NotKingOpenFilter< P, OrigAction >::simpleMove(), and osl::move_action::NotKingOpenFilter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

const NumEffectState& osl::move_action::NotKingOpenFilter< P, OrigAction >::state

Definition at line 23 of file notKingOpenFilter.h.

Referenced by osl::move_action::NotKingOpenFilter< P, OrigAction >::isNotKingOpenMove().

The documentation for this struct was generated from the following file:

- notKingOpenFilter.h